﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace XamDataChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = LoadData();
        }

        private DataTable LoadData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("Value", typeof(double));
            for (int i = 1; i < 50; i++)
            {
                DataRow row = dt.NewRow();
                row["Date"] = DateTime.Now.AddDays(i);               
                row["Value"] = Guid.NewGuid().GetHashCode().ToString().Substring(0,3);               

                dt.Rows.Add(row);
            }

            return dt;
        }
    }
}
